Moving to Ruby 2.7 on master

With Ruby 2.6 set to EOL in March 2022, the time has come to upgrade to 2.7 on master builds. I’ve opened Ruby 2.7 by bdunne · Pull Request #218 · ManageIQ/manageiq-rpm_build · GitHub Upgrade to ruby 2.7 by bdunne · Pull Request #492 · ManageIQ/manageiq-appliance-build · GitHub and Upgrade to ruby 2.7 by bdunne · Pull Request #765 · ManageIQ/manageiq-pods · GitHub to do so. Developers may also want to upgrade to 2.7, but aren’t required to upgrade yet.

2.7 support was added in https://github.com/ManageIQ/manageiq/issues/19678. We’ll be adding 3.0 support in a similar manner in the future.

1 Like